#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <SetMotorServo.h>
#include <SetTenthS.h>
#include <GetMotorCode.h>
#include <SetLCD5Char.h>

int main(void)
{
    X3RCU_Init();
    long pulse = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "M1", YELLOW, BLACK);
    SetLCDString(0, 16, "pulse", YELLOW, BLACK);
    while (1)
    {
        SetMotorServo(1, 0, 80, 360);
        SetTenthS(10);
        pulse = GetMotorCode(1);
        SetLCD5Char(80, 16, pulse, YELLOW, BLACK);
        SetMotorServo(1, 1, 80, 360);
        SetTenthS(10);
        SetMotorServo(1, 2, 80, 360);
        SetTenthS(10);
        pulse = GetMotorCode(1);
        SetLCD5Char(80, 16, pulse, YELLOW, BLACK);
        SetMotorServo(1, 1, 80, 360);
        SetTenthS(10);
    }
    while(1);
}

